"""Class for the blocks that create the levels"""

import pygame

import os.path

class Block(pygame.sprite.Sprite):
    """Basic block, nothing special"""
    def __init__(self, vals, level):
        """vals must be a dictionary!"""
        self.__dict__.update(vals)
        self.level = level
        pygame.sprite.Sprite.__init__(self)
        
    def image(self):
        return self.level.tiles[self.img]
